{**
 * Copyright © Lyra Network.
 * This file is part of Payty plugin for PrestaShop. See COPYING.md for license details.
 *
 * @author    Lyra Network (https://www.lyra.com/)
 * @copyright Lyra Network
 * @license   https://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
 *}

<!-- This meta tag is mandatory to avoid encoding problems caused by \PrestaShop\PrestaShop\Core\Payment\PaymentOptionFormDecorator -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<section id="payty_standard_rest_wrapper" style="margin-bottom: 2rem;">
  <div class="payty kr-embedded"{if $payty_std_card_data_mode == '6'} kr-popin{/if} kr-form-token="{$payty_rest_identifier_token|escape:'html':'UTF-8'}">
     <div class="kr-pan"></div>
     <div class="kr-expiry"></div>
     <div class="kr-security-code"></div>
     <button type="button" class="kr-payment-button" {if $payty_std_card_data_mode != '6'}style="display: none;"{/if}></button>
     <div class="kr-field processing" style="display: none; border: none !important;">
       <div style="background-image: url('{$smarty.const._MODULE_DIR_|escape:'html':'UTF-8'}payty/views/img/loading_big.gif');
                   margin: 0 auto; display: block; height: 35px; background-color: #ffffff; background-position: center;
                   background-repeat: no-repeat; background-size: 35px;">
       </div>
     </div>

     <div class="kr-form-error"></div>
  </div>
</section>

<script type="text/javascript">
  var paytySubmit = function(e) {
    e.preventDefault();

    if (!$('#payty_standard').data('submitted')) {
      var isPopin = document.getElementsByClassName('kr-popin-button');

      {if $payty_is_valid_std_identifier}
        if (isPopin.length === 0) {
          $('#payty_oneclick_payment_description').hide();
        }
      {/if}

      if (isPopin.length > 0) {
        KR.openPopin();
        $('#payment-confirmation button').removeAttr('disabled');
      } else {
        $('#payty_standard').data('submitted', true);
        $('.payty .processing').css('display', 'block');
        $('#payment-confirmation button').attr('disabled', 'disabled');
        KR.submit();
      }
    }

    return false;
  };
</script>